Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class ServletProviderContext

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderContext
            |
            +--oracle.portal.provider.v2.http.ServletProviderContext

public class ServletProviderContext
extends ProviderContext

Fields inherited from class oracle.portal.provider.v2.ProviderContext
`AUTO_RELOAD, DEBUG_LEVEL, PROVIDER_DEFINITION, PROVIDER_LOADER_CLASS, PROVIDER_SERVICE_CLASS, REPOSITORY_PATH, SERVICE_NAME, SHOW_TEST_PAGE, TEST_PAGE_URI`

Constructor Summary
`ServletProviderContext(java.lang.String repositoryPath, int debugLevel, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletConfig config)`
`ServletProviderContext(java.lang.String repositoryPath, int debugLevel, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletConfig config, boolean showTestPage)`
`ServletProviderContext(java.lang.String repositoryPath, int debugLevel, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletConfig config, boolean showTestPage, java.lang.String testPageURI)`
`ServletProviderContext(java.lang.String repositoryPath, int debugLevel, javax.servlet.http.HttpServletRequest request, javax.servlet.ServletConfig config, boolean showTestPage, java.lang.String testPageURI, java.util.Map attributes)`

Method Summary
`java.lang.String` | `getContextPath()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`java.lang.String` | `getServletPath()`
`boolean` | `isInvalidationCachingEnabled()`

Methods inherited from class oracle.portal.provider.v2.ProviderContext
`getAttribute, getAttributeNames, getDebugLevel, getRepositoryPath, getServiceName, getTestPageURI, isTestPageOn, lockDown, setAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletProviderContext

    public ServletProviderContext(java.lang.String repositoryPath,
                                  int debugLevel,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.ServletConfig config)

### ServletProviderContext

    public ServletProviderContext(java.lang.String repositoryPath,
                                  int debugLevel,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.ServletConfig config,
                                  boolean showTestPage)

### ServletProviderContext

    public ServletProviderContext(java.lang.String repositoryPath,
                                  int debugLevel,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.ServletConfig config,
                                  boolean showTestPage,
                                  java.lang.String testPageURI)

### ServletProviderContext

    public ServletProviderContext(java.lang.String repositoryPath,
                                  int debugLevel,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.ServletConfig config,
                                  boolean showTestPage,
                                  java.lang.String testPageURI,
                                  java.util.Map attributes)

Method Detail

### getContextPath

    public java.lang.String getContextPath()

### getServletPath

    public java.lang.String getServletPath()

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

### isInvalidationCachingEnabled

    public boolean isInvalidationCachingEnabled()

  Overrides:
    `isInvalidationCachingEnabled` in class `ProviderContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.